Update a webhook

PATCH /api/v1/eventConfigurations/<webhookID>

Updates a webhook.

You can update the secret, target URL, and log level of your webhook, and you can enable or disable the webhook.

You can only update the following attributes: destinationSystem.secret, destinationSystem.targetUrl, logLevel, and enabled.

Attribute

Type

Description

Example(s)

destinationSystem.secret

string

A secret you define, automatically passed in the X-Secret request header. To authenticate incoming webhook calls, your target application must verify this secret.

"mys3cr3tstr1ingforauth1!x"

destinationSystem.targetUrl

string

The webhook target URL. This is the URL that logs will be forwarded to.

"https://www.exampletarget.url/example-endpoint"

logLevel

string

Record only when a webhook message fails to be sent to an external system, or also when the message is successfully sent.

"FailuresOnly" - record only when a webhook message fails to be sent.

"All" - record both when a webhook message fails and when it is successfully sent.

Default: "FailuresOnly"

Must be one of:

  • "All"

  • "FailuresOnly"

enabled

boolean

Determines whether the webhook is enabled or disabled at creation time.

When enabled, logs will immediately start being forwarded to the webhook target URL.

To change this after creating the webhook, see Disable a webhook and Enable a webhook.

true or false

Here's an example of updating a webhook target secret and URL:

RequestResponse
curl -X PATCH '<baseURL>/api/v1/eventConfigurations/7050346545d5447da57b64be6416ac78' \
-H 'Authorization: Bearer <bearerToken>' \
-H 'Content-Type: application/json' \
--data-raw '
{
  "destinationSystem": {
    "secret": "<new-secret>",
    "targetUrl": "https://www.exampletartget.url/new-example-endpoint"
  }
}'
RequestResponse
{
  "id": "7050346545d5447da57b64be6416ac78",
  "organizationId": "org_ZiiCnzhCeHDpWJAU",
  "sourceSystem": {
    "$type": "AnySource"
  },
  "destinationSystem": {
    "secret": "new-4fcae82f-5759-4a08-93fe-1582bcc8514d",
    "targetUrl": "https://webhook.site/new-example-endpoint",
    "contentType": null,
    "$type": "Webhook"
  },
  "space": "Development",
  "sourceSystemStatus": null,
  "logLevel": "FailuresOnly",
  "createdBy": "[email protected]",
  "createdDate": "2026-12-22T12:10:18.8610786+00:00",
  "updatedBy": "[email protected]",
  "updatedDate": "2026-12-28T11:04:32.4291852+00:00",
  "eventName": "sitecore.backbone.messages.audit.created",
  "enabled": true
}

Do you have some feedback for us?

If you have suggestions for improving this article,